Class | Resolv::DNS::Requester
In: | resolv.rb
Parent: | Object

### Methods

close delete new

### Classes and Modules

Class Resolv::DNS::Requester::ConnectedUDP
Class Resolv::DNS::Requester::RequestError
Class Resolv::DNS::Requester::Sender
Class Resolv::DNS::Requester::TCP
Class Resolv::DNS::Requester::UnconnectedUDP

### Public Class methods

new()

[Source]

    # File resolv.rb, line 528
          def initialize
            @senders = {}
          end

### Public Instance methods

close()

[Source]

    # File resolv.rb, line 532
          def close
            thread, sock, @thread, @sock = @thread, @sock
            begin
              if thread
                thread.kill
                thread.join
              end
            ensure
              sock.close if sock
            end
          end

delete(arg)

[Source]

    # File resolv.rb, line 544
          def delete(arg)
            case arg
            when Sender
              @senders.delete_if {|k, s| s == arg }
            when Queue
              @senders.delete_if {|k, s| s.queue == arg }
            else
              raise ArgumentError.new("neither Sender or Queue: #{arg}")
            end
          end

[Validate]